POST — Create a Bridge
6 min
Description
Creates a new bridge that can be used to connect multiple legs.
Method
POST
Endpoint
/v2/accounts/{AccountSID}/bridges
Request Parameters
Parameter Name | Mandatory / Optional | Type | Description |
|---|---|---|---|
bridge_type | Optional | string | Type of bridge (default: audio) |
max_participants | Optional | number | Maximum number of legs allowed |
recording | Optional | boolean | Enable or disable recording |
Request Payload
{
"bridge_type": "audio",
"max_participants": 10,
"recording": false
}
cURL
curl --location 'https://cpaas-api.in.exotel.com/v2/accounts/{AccountSID}/bridges' \
--header 'Authorization: Basic <BASE64_APIKEY_APITOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"bridge_type": "audio",
"max_participants": 10,
"recording": false
}'
Response Payload
{
"request_id": "abc123",
"http_code": 201,
"response": {
"data": {
"bridge_sid": "BRIDGE_SID",
"bridge_type": "audio",
"state": "created",
"date_created": "2024-12-11T09:41:21Z"
}
}
}